LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Plasma PyWeather Widget needs dep. Which one? (http://www.linuxquestions.org/questions/slackware-14/plasma-pyweather-widget-needs-dep-which-one-4175446471/)

Mercury305 01-20-2013 10:25 AM

Plasma PyWeather Widget needs dep. Which one?
 
So I tried to use the LCD Weather App for KDE but failed. So I decided to try out the PyWeather widget instead. That one doesn't work probably due to a dependency that is missing for python. Any solutions?

knudfl 01-20-2013 11:15 AM

PyWeather : $ git clone https://github.com/cmcginty/PyWeather.git


Would it be this "dependency" : `ImportError: No module named serial`

Python-serial > pyserial http://slackbuilds.org/result/?search=pyserial&sv=14.0



-

aseigo 01-25-2013 07:58 AM

You need the PyKDE extensions for that component to work properly. There should be (a set of) packages offered by your OS for this.

Didier Spaier 01-27-2013 04:42 PM

For KDE on Slackware, you could try cwp or yawp.

Forecasting is a difficult art, especially when it concerns the future (anonymous).


All times are GMT -5. The time now is 08:59 PM.